#ifndef TOPLEVEL_H
#define TOPLEVEL_H

#include <kmainwindow.h>

class PlayCanvas;
class Playground;
class KPopupMenu;

class TopLevel : public KMainWindow
{
	Q_OBJECT
	public:
		TopLevel();
		~TopLevel();

		void setTheme(QString theme);

	public slots:
		void key(int keycode);
		void slotMenu(int id);

	protected:
		void keyPressEvent(QKeyEvent *e);
		void mousePressEvent(QMouseEvent *e);

	private:
		void scale(int difference);
		void newlevel(QString file);

		void createlevel();
		void savelevel();

		enum MenuItems
		{
			file_new,
			file_open,
			file_save,
			file_exit,

			display_larger,
			display_smaller,
			display_fullscreen,

			element_ground,
			element_wall,
			element_bridge,
			element_space,
			element_scree,
			element_bomb,
			element_live,
			element_power,
			element_grail,
			element_speed,
			element_invisible,
			element_flash,

			file_menu,
			element_menu,
			display_menu,
			help_menu
		};

		PlayCanvas *canvas;
		Playground *playground;
		KPopupMenu *filemenu, *displaymenu, *elementmenu;
		bool m_isfullscreen;
		QRect m_geometry;
		int m_tilesize;

		int m_element;
};

#endif

